DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# HasContiguousData

Determines whether an image has all data contiguous in memory

## SYNOPSIS

dip_Error dip_HasContiguousData( image, &answer )

## FUNCTION

Determines whether an image has all data contiguous in memory. This can potentially not be the case if the image is an ROI, for example, or if it was allocated with strides that cause unused gaps in the image's memory block. If `answer` is not zero, the verdict is passed in this variable. Otherwise, `HasContiguousData` returns an error in case `image` does not have contiguous data.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | The image under investigation
`dip_Boolean *` | `answer` | The verdict

## SEE ALSO

The image structure

`HasNormalStride`, `ImageGetStride`, `IsScalar`